RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
file_formats.h File Reference
Utilities » Functions to Read/Write several File Formats for RNA Sequences, Structures, and Alignments

Functions dealing with file formats for RNA sequences, and structures. More...

Include dependency graph for file_formats.h:

Go to the source code of this file.

## Macros
#define | VRNA_OPTION_MULTILINE 32U
| Tell a function that an input is assumed to span several lines. More...
#define | VRNA_CONSTRAINT_MULTILINE 32U
| parse multiline constraint More...

## Functions
void | vrna_file_helixlist (const char *seq, const char *db, float energy, FILE *file)
| Print a secondary structure as helix list. More...
void | vrna_file_connect (const char *seq, const char *db, float energy, const char *identifier, FILE *file)
| Print a secondary structure as connect table. More...
void | vrna_file_bpseq (const char *seq, const char *db, FILE *file)
| Print a secondary structure in bpseq format. More...
void | vrna_file_json (const char *seq, const char *db, double energy, const char *identifier, FILE *file)
| Print a secondary structure in jsonformat. More...
unsigned int | vrna_file_fasta_read_record (char **header, char **sequence, char ***rest, FILE *file, unsigned int options)
| Get a (fasta) data set from a file or stdin. More...
char * | vrna_extract_record_rest_structure (const char **lines, unsigned int length, unsigned int option)
| Extract a dot-bracket structure string from (multiline)character array. More...
int | vrna_file_SHAPE_read (const char *file_name, int length, double default_value, char *sequence, double *values)
| Read data from a given SHAPE reactivity input file. More...
vrna_plist_t * | vrna_file_constraints_read (const char *filename, unsigned int length, unsigned int options)
| Read constraints from an input file. More...
void | vrna_extract_record_rest_constraint (char **cstruc, const char **lines, unsigned int option)
| Extract a hard constraint encoded as pseudo dot-bracket string. More...
unsigned int | read_record (char **header, char **sequence, char ***rest, unsigned int options)
| Get a data record from stdin. More...

## Detailed Description

Functions dealing with file formats for RNA sequences, and structures.

See also
  Constraints Definition File